## ros-noetic-tf2-server 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8.0)
project(tf2_server)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  message_generation
  nodelet
  roscpp
  tf2_msgs
  tf2_ros
)

catkin_python_setup()

add_service_files(DIRECTORY srv)
generate_messages()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME} tf2_subtree_listener
  CATKIN_DEPENDS geometry_msgs message_runtime nodelet roscpp tf2_msgs tf2_ros
)

include_directories(include)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/tf2_server.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

add_library(${PROJECT_NAME}_nodelet src/tf2_server_nodelet.cpp)
add_dependencies(${PROJECT_NAME}_nodelet ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_nodelet ${PROJECT_NAME} ${catkin_LIBRARIES})

add_executable(${PROJECT_NAME}_node src/tf2_server_node.cpp)
add_dependencies(${PROJECT_NAME}_node ${PROJECT_NAME})
target_link_libraries(${PROJECT_NAME}_node ${PROJECT_NAME} ${catkin_LIBRARIES})

add_library(tf2_subtree_listener src/tf2_subtree_listener.cpp)
add_dependencies(tf2_subtree_listener ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(tf2_subtree_listener ${catkin_LIBRARIES})

if (${CATKIN_ENABLE_TESTING})
  find_package(rostest REQUIRED)
  add_rostest_gtest(test_tf2_subtree_listener test/tf2_subtree_listener.test test/test_tf2_subtree_listener.cpp)
  target_link_libraries(test_tf2_subtree_listener tf2_subtree_listener ${catkin_LIBRARIES})

  add_library(${PROJECT_NAME}_early_initial_params_test_nodelet test/tf2_server_early_initial_params_nodelet.cpp)
  add_dependencies(${PROJECT_NAME}_early_initial_params_test_nodelet ${catkin_EXPORTED_TARGETS})
  target_link_libraries(${PROJECT_NAME}_early_initial_params_test_nodelet ${catkin_LIBRARIES})

  add_rostest(test/tf2_subtree_listener_py.test)
  add_rostest(test/tf2_server_initial_params.test)
  add_rostest(test/tf2_server_early_initial_params.test)
endif()

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_node ${PROJECT_NAME}_nodelet tf2_subtree_listener
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(FILES tf2_server_nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-tf2-server (1.1.2-1focal) focal; urgency=high

  * Try to de-flake test.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 09 Jun 2022 22:00:00 -0000

ros-noetic-tf2-server (1.1.1-1focal) focal; urgency=high

  * Fixed Noetic CI
  * Disable Noetic CI
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jun 2022 22:00:00 -0000

ros-noetic-tf2-server (1.1.0-1focal) focal; urgency=high

  * Noetic compatibility
  * Improved readme.
  * Added CI status badge.
  * Fixed a race condition when creating streams (if the timer were created later than onSubscribe() is called.
  * Update README.md
    (cherry picked from commit 3253416eff8f88330411ec8732b4cacd612923a8)
  * Add CI via Github Actions
    (cherry picked from commit a60dcad82e19caebd6481c6c2af96e6cfbe3a57c)
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Tue, 07 Jun 2022 22:00:00 -0000

ros-noetic-tf2-server (1.0.6-1focal) focal; urgency=high

  * Minor: catkin_lint.
  * Fix: prevent deadlocks on stopping timers.
  * Fix: Ignore stale frames in subtree search.
  * Fix: Fix nodelet namespace.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 08 Jun 2020 22:00:00 -0000

ros-noetic-tf2-server (1.0.5-1focal) focal; urgency=high

  * Added support for streams whose TF tree can be updated during runtime.
  * Added support for initial streams.
  * Added possibility to specify desired names of the published transform streams.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Sat, 08 Feb 2020 23:00:00 -0000

ros-noetic-tf2-server (1.0.4-1focal) focal; urgency=high

  * Added a parameter that can help distinguishing between the original and the upgraded TF2 server.
  * Added support for running the server as nodelet.
  * Added support for updating the requested subtree during runtime.
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 03 Feb 2020 23:00:00 -0000

ros-noetic-tf2-server (1.0.3-1focal) focal; urgency=high

  * Create LICENSE
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Mon, 20 Jan 2020 23:00:00 -0000

ros-noetic-tf2-server (1.0.2-1focal) focal; urgency=high

  * Added url tags to package.xml
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 09 Jan 2020 23:00:00 -0000

ros-noetic-tf2-server (1.0.1-1focal) focal; urgency=high

  * Initial version
  * Contributors: Martin Pecka

 -- Martin Pecka <peckama2@fel.cvut.cz>  Thu, 09 Jan 2020 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-tf2-server
Section: misc
Priority: optional
Maintainer: Martin Pecka <peckama2@fel.cvut.cz>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev <!nocheck>, python3-setuptools, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-tf <!nocheck>, ros-noetic-tf2-msgs, ros-noetic-tf2-ros
Homepage: https://github.com/peci1/tf2_server
Standards-Version: 3.9.2

Package: ros-noetic-tf2-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-nodelet, ros-noetic-roscpp, ros-noetic-rospy, ros-noetic-tf2-msgs, ros-noetic-tf2-ros
Description: TF2 server that can provide transforms over separate TF topics

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-tf2-server//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
